Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2100813 - Rebuild the postgresql module with Python 3.11
Summary: Rebuild the postgresql module with Python 3.11
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: postgresql
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filip Januš
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall PYTHON3.11 F37FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-06-24 10:57 UTC by Miro Hrončok
Modified: 2022-09-13 09:12 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-13 09:12:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure releng issue 10945 0 None None None 2022-08-05 09:25:56 UTC

Description Miro Hrončok 2022-06-24 10:57:04 UTC
When I run this command:

$ repoquery --setopt=*.module_hotfixes=yes --repo=rawhide-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)' --source

I get:

postgresql-10.20-1.module_f37+14079+af0f42b7.src.rpm
postgresql-11.15-2.module_f37+13951+773d6d5c.src.rpm
postgresql-12.10-2.module_f37+14009+bf922410.src.rpm
postgresql-14.2-1.module_f37+13833+eaa8c95b.src.rpm


I assume this comes from the PostgreSQL module, streams 10, 11, 12, 14.

Please rebuild the packages in Fedora 37 with Python 3.11 at the earliest convenience or the following packages won't be installable in Fedora 37:

postgresql-contrib-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-contrib-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-contrib-0:12.10-2.module_f37+14009+bf922410.x86_64
postgresql-contrib-0:14.2-1.module_f37+13833+eaa8c95b.x86_64
postgresql-plpython3-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-plpython3-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-plpython3-0:12.10-2.module_f37+14009+bf922410.x86_64
postgresql-plpython3-0:14.2-1.module_f37+13833+eaa8c95b.x86_64
postgresql-upgrade-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-upgrade-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-upgrade-0:12.10-2.module_f37+14009+bf922410.x86_64
postgresql-upgrade-0:14.2-1.module_f37+13833+eaa8c95b.x86_64

Thanks

Comment 1 Miro Hrončok 2022-07-04 12:06:41 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this module, consider orphaning it.

Comment 2 Miro Hrončok 2022-07-17 13:18:56 UTC
Filip, you set this to ASSIGNED but the assignee is still Langdon. Is that expected? Should Langdon be the point of contact for PostgreSQL modules Bugzillas?

Comment 3 Filip Januš 2022-07-18 07:31:44 UTC
Hi Miro, 
it's a mistake we need to switch the default to me.

Comment 4 Miro Hrončok 2022-07-18 09:26:05 UTC
Done.

Comment 5 Filip Januš 2022-07-28 10:36:51 UTC
postgresql 12 should be fixed, now I am working on postgresql14, but Streams 10 and 11 have problems with python 3.11. EOL 10 is in November so due to these facts, I would like to obsolete it.

Comment 6 Miro Hrončok 2022-08-02 14:48:56 UTC
I can confirm that 12 is fixed.

Comment 7 Filip Januš 2022-08-05 07:37:12 UTC
Postgresql 14 is also fixed. For streams 10 and 11 I've created releng issue to set EOL to the same data as F36 has. From my point of view, we could close this tracker.

Comment 8 Miro Hrončok 2022-08-05 09:25:56 UTC
Thanks. Please, let's keep it open until this yields nothing:

$ repoquery --setopt=*.module_hotfixes=yes --repo=rawhide-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)' --source | grep ^postgresql

Comment 9 Filip Januš 2022-08-10 08:27:52 UTC
Releng issue https://pagure.io/releng/issue/10945 was resolved.

Comment 10 Miro Hrončok 2022-08-10 10:07:05 UTC
Yes indeed, but the modules are still in the rawhide repo.

Comment 11 Miro Hrončok 2022-08-15 11:54:33 UTC
The Rawhide modular repo has had no packages at all since branching. The reproducer is now:

$ repoquery --refresh --releasever=37 --setopt=*.module_hotfixes=yes --repo=fedora-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)'
...
postgresql-contrib-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-contrib-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-plpython3-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-plpython3-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-upgrade-0:10.20-1.module_f37+14079+af0f42b7.x86_64
postgresql-upgrade-0:11.15-2.module_f37+13951+773d6d5c.x86_64
...

Comment 12 Miro Hrončok 2022-08-15 13:24:13 UTC
BTW I don't think https://pagure.io/releng/issue/10945 was enough to get the modules removed from F37, you probably need to request that explicitly. But I have no idea how any of this works (it's too complex for me).

Comment 13 Filip Januš 2022-08-15 13:54:53 UTC
I have the same opinion, I will create another issue.

Comment 14 Miro Hrončok 2022-08-24 13:16:00 UTC
Looks like the 10 stream got removed or fixed:


$ repoquery --refresh --releasever=37 --setopt=*.module_hotfixes=yes --repo=fedora-modular --whatrequires 'python(abi) = 3.10'  --whatrequires 'libpython3.10.so.1.0()(64bit)' 
...
postgresql-contrib-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-plpython3-0:11.15-2.module_f37+13951+773d6d5c.x86_64
postgresql-upgrade-0:11.15-2.module_f37+13951+773d6d5c.x86_64
...

Comment 15 Miro Hrončok 2022-09-01 07:26:34 UTC
Still the same. I'll reopen https://pagure.io/releng/issue/10971

Comment 16 Miro Hrončok 2022-09-13 09:12:04 UTC
All good now, thank you.


Note You need to log in before you can comment on or make changes to this bug.